/* =============== ESTRUTURA GERAL =============== */

* {
  margin: 0;
  padding: 0;
  outline: none;
  box-sizing: border-box;
  appearance: none;
  -webkit-appearance: none;
  font: unset;
  background: unset;
  font-weight: 300;
}

/* input[type="checkbox"] {
  appearance: checkbox;
} */

.fw-500 {
  font-weight: 500;
}

strong {
  font-weight: 600;
}

html,
.page-container {
  background: #fbfcfc;
}

body {
  width: 100%;
  min-width: 370px;
  height: auto;
  overflow-x: hidden;
  font-family: "Open Sans", sans-serif;
}

.page-container {
  display: inline-block;
  position: relative;
  padding: 20px 20px 40px;
  transition: all 0.3s linear;
}

@media (min-width: 769px) {
  .page-container {
    width: calc(100% - 150px);
    margin-left: 150px;
  }

  .page-container.full {
    width: 100%;
    margin-left: 0;
  }
}

@media (max-width: 768px) {
  .page-container {
    width: 100%;
    margin-top: 80px;
  }
}

.content-container {
  width: 100%;
  padding: 20px 15px 10px;
  background: #eaecf3;
  box-shadow: 2px 2px 4px rgba(100, 100, 100, 0.1);
}

.content-container::after {
  content: "";
  clear: both;
  display: table;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
  -webkit-box-shadow: 0 0 0 30px #ffffff inset !important;
  box-shadow: 0 0 0 30px #ffffff inset !important;
  -webkit-text-fill-color: #666666;
}

.chartjs-render-monitor {
  max-width: 100% !important;
  height: auto !important;
}

.swal2-container {
  z-index: 9999 !important;
}

a {
  background: inherit;
  color: inherit;
  text-decoration: none;
  list-style-type: none;
  outline: none;
}

a img {
  border: none;
}

.none {
  display: none;
}

.block {
  display: block;
}

.flex-center {
  display: flex;
  justify-content: center;
  align-items: center;
}

.hidden {
  position: absolute;
  visibility: hidden;
  opacity: 0;
  z-index: -1;
}

.clear {
  clear: both;
}

.expand:after {
  content: "";
  clear: both;
  display: table;
}

.margin-auto {
  margin: auto;
}

.col {
  float: left;
  padding: 0 10px;
}

.col.block {
  float: none;
  display: inline-block;
  margin-right: -4px;
}

.left {
  float: left;
}

.right {
  float: right;
}

.col.full {
  padding: 0;
}

.col-1 {
  width: 8.33%;
}

.col-2 {
  width: 16.66%;
}

.col-3 {
  width: 25%;
}

.col-4 {
  width: 33.33%;
}

.col-5 {
  width: 41.66%;
}

.col-6 {
  width: 50%;
}

.col-7 {
  width: 58.33%;
}

.col-8 {
  width: 66.66%;
}

.col-9 {
  width: 75%;
}

.col-10 {
  width: 83.33%;
}

.col-11 {
  width: 91.66%;
}

.col-12 {
  width: 100%;
}

@media (max-width: 1200px) {
  .col-md-1 {
    width: 8.33%;
  }

  .col-md-2 {
    width: 16.66%;
  }

  .col-md-3 {
    width: 25%;
  }

  .col-md-4 {
    width: 33.33%;
  }

  .col-md-5 {
    width: 41.66%;
  }

  .col-md-6 {
    width: 50%;
  }

  .col-md-7 {
    width: 58.33%;
  }

  .col-md-8 {
    width: 66.66%;
  }

  .col-md-9 {
    width: 75%;
  }

  .col-md-10 {
    width: 83.33%;
  }

  .col-md-11 {
    width: 91.66%;
  }

  .col-md-12 {
    width: 100%;
  }
}

@media (max-width: 768px) {
  .col-sm-1 {
    width: 8.33%;
  }

  .col-sm-2 {
    width: 16.66%;
  }

  .col-sm-3 {
    width: 25%;
  }

  .col-sm-4 {
    width: 33.33%;
  }

  .col-sm-5 {
    width: 41.66%;
  }

  .col-sm-6 {
    width: 50%;
  }

  .col-sm-7 {
    width: 58.33%;
  }

  .col-sm-8 {
    width: 66.66%;
  }

  .col-sm-9 {
    width: 75%;
  }

  .col-sm-10 {
    width: 83.33%;
  }

  .col-sm-11 {
    width: 91.66%;
  }

  .col-sm-12 {
    width: 100%;
  }
}

@media (max-width: 480px) {
  .col-xsm-1 {
    width: 8.33%;
  }

  .col-xsm-2 {
    width: 16.66%;
  }

  .col-xsm-3 {
    width: 25%;
  }

  .col-xsm-4 {
    width: 33.33%;
  }

  .col-xsm-5 {
    width: 41.66%;
  }

  .col-xsm-6 {
    width: 50%;
  }

  .col-xsm-7 {
    width: 58.33%;
  }

  .col-xsm-8 {
    width: 66.66%;
  }

  .col-xsm-9 {
    width: 75%;
  }

  .col-xsm-10 {
    width: 83.33%;
  }

  .col-xsm-11 {
    width: 91.66%;
  }

  .col-xsm-12 {
    width: 100%;
  }

  .xsm-right {
    float: right;
  }
}

.center {
  width: 95%;
  max-width: 1200px;
  min-width: 320px;
  margin: 0 auto;
  height: auto;
  display: block;
  position: relative;
}

.center-2 {
  width: 98%;
  max-width: 1750px;
  min-width: 320px;
  margin: 0 auto;
  height: auto;
  display: block;
  position: relative;
}

/* =============== PAGINAÇÃO =============== */

.paginacao {
  text-align: center;
}

.paginacao .container-paginacao {
  display: table;
  margin: 0 auto;
  margin-top: 20px;
  background: #ffffff;
  box-shadow: 0 0 6px rgba(100, 100, 100, 0.1);
  color: #44b6ae;
}

.paginacao .container-paginacao a,
.paginacao .container-paginacao strong {
  width: 40px;
  height: 40px;
  display: table-cell;
  vertical-align: middle;
  text-align: center;
  font-weight: 400;
  transition: all 0.3s ease-in-out;
}

.paginacao .container-paginacao strong {
  background: #e4e4e4;
  color: #44b6ae;
}

.paginacao .container-paginacao a[rel="prev"],
.paginacao .container-paginacao a[rel="next"],
.paginacao .container-paginacao span a {
  font-size: 1.3em;
}

.paginacao .container-paginacao span.first a::before {
  content: "\f100";
  font-family: "Font Awesome 5 Pro";
  font-weight: 300;
}

.paginacao .container-paginacao span.last a::before {
  content: "\f101";
  font-family: "Font Awesome 5 Pro";
  font-weight: 300;
}

.paginacao .container-paginacao a[rel="prev"]::before {
  content: "\f104";
  font-family: "Font Awesome 5 Pro";
  font-weight: 300;
}

.paginacao .container-paginacao a[rel="next"]::before {
  content: "\f105";
  font-family: "Font Awesome 5 Pro";
  font-weight: 300;
}

.paginacao .container-paginacao a:hover {
  background: #e4e4e4;
  color: #44b6ae;
}

/* =============== TITULO E TEXTOS =============== */

.titulo {
  display: inline-block;
  padding: 10px 0;
  font-size: 20px;
  /* color: #535f60; */
}

.texto-centralizado {
  text-align: center;
}

.texto-justificado {
  text-align: justify;
}

.texto-direita {
  text-align: right;
}

.texto-esquerda {
  text-align: left;
}

.arrendodado-5 {
  border-radius: 5px !important;
}

.arrendodado-10 {
  border-radius: 10px !important;
}

/* =============== BOTÕES =============== */

.botao {
  display: inline-block;
  position: relative;
  padding: 3.5px 18px;
  margin-bottom: 10px;
  border: none;
  border-radius: 4px;
  box-shadow: 2px 2px 4px rgba(100, 100, 100, 0.4);
  font-size: 1em;
  color: #ffffff;
  cursor: pointer;
  transition: background 0.3s ease-in-out, box-shadow 0.3s ease-in-out,
    color 0.3s ease-in-out;
}

/*button.botao {
    padding: 13.5px 20px;
}*/

.botao.icone {
  width: 100%;
  height: 45px;
  padding: 0;
  margin-bottom: 0;
}

.botao.has-icon {
  padding-left: 40px;
}

.botao i {
  position: absolute;
  top: 50%;
  left: 10px;
  transform: translate(0, -50%);
  font-size: 1.4em;
}

.botao.icone i {
  left: 50%;
  transform: translate(-50%, -50%);
}

.botao:hover {
  background: #e4e4e4;
}

.botao.bg-verde:hover {
  color: #44b6ae;
  /* color: #fff; */
}

.botao.bg-amarelo:hover {
  color: #fda006;
}

.botao.bg-vermelho:hover {
  color: #e13a58;
}

.botao.bg-rosa:hover {
  color: #f1536e;
}

.botao.bg-roxo:hover {
  color: #716aca;
}

.botao.bg-azul:hover {
  color: #3da5f4;
}

.botao.bg-preto:hover {
  color: #535f60;
}

.botao-bg-projeto_saopedro:hover {
  background-color: #25742c;
}

/* =============== UPLOAD DE IMAGEM =============== */

div.image-upload label {
  width: 100px;
  height: 100px;
  display: block;
  position: relative;
  margin: auto;
  cursor: pointer;
}

div.image-upload label::before {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(0);
  background-image: radial-gradient(circle,
      rgba(255, 255, 255, 0.5),
      rgba(255, 255, 255, 0.75),
      rgba(255, 255, 255, 0.1));
  border-radius: 50%;
  opacity: 1;
}

div.image-upload label:hover::before {
  animation: blink 0.5s ease-in-out;
}

div.image-upload label img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 50%;
}

div.image-upload label i {
  position: absolute;
  bottom: 0;
  right: 0;
  font-size: 1.8em;
  color: #ffffff;
}

div.image-upload input[type="file"] {
  display: none;
}

/* =============== ALERTA =============== */

.alerta {
  width: 40%;
  min-width: 320px;
  max-width: 85%;
  padding: 15px;
  display: table;
  position: absolute;
  top: 20px;
  right: 20px;
  border-radius: 4px;
  opacity: 0;
  visibility: hidden;
  transform: translate(0, -100px);
  overflow: hidden;
  z-index: 99999;
  transition: all 0.8s ease-in-out;
}

.alerta.sucesso {
  background: #44b6ae;
}

.alerta.erro {
  background: #e13a58;
}

.alerta.info {
  background: #e7a539;
}

.alerta.active {
  animation: fade-in 0.8s ease-in-out forwards;
}

.alerta.inactive {
  animation: fade-out 0.8s ease-in-out forwards;
}

.alerta .timer {
  width: 0;
  position: absolute;
  top: 0;
  left: 0;
  border-top: 3px solid rgba(255, 255, 255, 0.6);
}

.alerta.active .timer {
  animation: timer 3s linear;
}

.alerta:hover .timer {
  -webkit-animation-play-state: paused;
  -moz-animation-play-state: paused;
  -o-animation-play-state: paused;
  animation-play-state: paused;
}

.alerta>i {
  width: 35px;
  display: table-cell;
  font-size: 2.6em;
  vertical-align: middle;
  color: rgba(255, 255, 255, 0.4);
  transform: scale(0);
  transition: transform 1s ease-in-out 0.3s;
}

.alerta.active>i {
  transform: scale(1);
}

.alerta .text {
  display: table-cell;
  vertical-align: middle;
  padding: 0 20px 0 15px;
}

.alerta .text h2 {
  font-size: 1.2em;
  font-weight: 400;
  color: #ffffff;
  text-transform: capitalize;
  opacity: 0;
  transform: translate(50px, 0);
  transition: opacity 0.5s, transform 0.8s ease-in-out 0.3s;
}

.alerta.active .text h2 {
  opacity: 1;
  transform: translate(0, 0);
}

.alerta .text h3 {
  font-size: 0.9em;
  font-weight: 300;
  color: rgba(255, 255, 255, 0.4);
  text-transform: lowercase;
  opacity: 0;
  transform: translate(100px, 0);
  transition: opacity 0.5s, transform 0.8s ease-in-out 0.5s;
}

.alerta.active .text h3 {
  opacity: 1;
  transform: translate(0, 0);
}

.alerta .close {
  width: 20px;
  display: table-cell;
  vertical-align: middle;
  text-align: right;
}

.alerta .close i {
  font-size: 1.6em;
  vertical-align: middle;
  color: rgba(255, 255, 255, 0.4);
  cursor: pointer;
}

.alerta .close i:before {
  transition: all 0.5s ease-in-out;
}

.alerta .close i:hover:before {
  transform: rotate(-180deg);
  color: #ffffff;
}

.alerta::after {
  width: 100%;
  height: 3px;
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  background: rgba(255, 255, 255, 0.2);
}

/* =============== PESQUISA =============== */

div.pesquisa {
  width: 100%;
  padding: 15px;
  background: #ffffff;
  box-shadow: 2px 2px 4px rgba(100, 100, 100, 0.1);
}

div.pesquisa form .botao {
  margin-bottom: 0;
}

/* =============== TABELAS =============== */

div.table-container {
  box-shadow: 2px 2px 4px rgba(100, 100, 100, 0.1);
  overflow-y: hidden;
  overflow-x: auto;
}

table {
  width: 100%;
  border-collapse: collapse;
  background: #ffffff;
  color: #535f60;
}

table.border {
  border: 1px solid #dadada;
}

table tbody:nth-of-type(2) {
  border-top: 1px solid #dadada;
}

table tr th,
table tr td {
  padding: 5px 20px;
}

table th {
  height: 30px;
  font-size: 1em;
  font-weight: 600;
  text-align: left;
}

table tr th.acoes {
  min-width: 140px;
}

table tr .acoes {
  display: flex;
  align-items: center;
}

table tr:not(:last-of-type) {
  border-bottom: 1px solid #dadada;
}

table tr:hover td {
  background-color: #f7f7f7;
}

table tr:hover {
  background-color: #f7f7f7;
}

.lupa-detalhes {
  display: flex;
  align-items: center;
  justify-content: center;
}

/* .modal{
  width:95% !important;
} */

table tr td {
  height: 45px;
  transition: background 0.3s ease-in-out;
  font-weight: 400;
}

table tr td.inner {
  padding: 0;
  height: unset;
}

table tr td.inner th {
  border: solid #dadada;
  border-width: 0 1px 0 1px;
}

table tr td.inner td {
  border: solid #dadada;
  border-width: 0 1px 0 1px;
}

table tr td.vazio {
  padding-left: 20px;
  text-align: left;
}

table tr td.destinos {
  text-transform: lowercase;
}

table tr td,
table tr td a {
  font-size: 1em;
  color: #535f60;
}

table tr td a {
  display: inline-block;
}

table tr td.visualizar i {
  color: #52a061;
}

table tr td.acoes i {
  cursor: pointer;
  transition: color 0.3s ease-in-out;
}

table tr td.acoes.cursor i {
  cursor: default;
}

table tr td.acoes i.editar:hover {
  color: #fda006;
}

table tr td.acoes i.visualizar:hover {
  color: #716aca;
}

table tr td.acoes i.aprovar:hover,
table tr td.acoes i.imprimir:hover {
  color: #3da5f4;
}

table tr td.acoes i.aprovado {
  color: #fda006;
}

table tr td.acoes i.aprovado.finalizado {
  cursor: default;
}

table tr td.acoes i.aprovado:not(.finalizado):hover {
  color: #e13a58;
}

table tr td.acoes i.reprovado {
  color: #e13a58;
  cursor: default;
}

table tr td.acoes i.transportadora:hover {
  color: #ff7522;
}

table tr td.acoes i.cotacao:hover {
  color: #2fac39;
}

table tr td.acoes i.motorista:hover {
  color: #f1536e;
}

table tr td.acoes i.finalizar:hover {
  color: #44b6ae;
}

table tr td.acoes i.excluir:hover {
  color: #e13a58;
}

table tr td.acoes i.adicionar:hover {
  color: #44b6ae;
}

table tr td.acoes i.confirmar:hover {
  color: #2fac39;
}

table tr i.trocar:hover {
  color: #dd6216;
  cursor: pointer;
}

/* =============== CONFIRMAÇÃO =============== */

[data-confirmation] {
  display: inline-block;
  position: relative;
}

[data-toggle-confirmation] {
  cursor: pointer;
}

.confirmation {
  min-width: 150px;
  padding: 10px;
  background: #ffffff;
  box-shadow: 0 0 4px rgba(100, 100, 100, 0.2);
  color: #535f60;
  position: absolute;
  font-size: 0.9em;
  text-align: center;
  z-index: 1;
  height: 83px;
  cursor: default;
  transition: transform 0.3s ease-in-out;
}

.confirmation:after {
  content: "";
  width: 0;
  height: 0;
  position: absolute;
}

.confirmation p {
  font-weight: 600;
  margin-bottom: 10px;
}

.confirmation a,
.confirmation span {
  width: 50%;
  float: left;
  padding: 5px 10px;
  cursor: pointer;
  color: #ffffff;
  transition: all 0.3s ease-in-out;
}

.confirmation a:hover,
.confirmation span:hover {
  background: #e4e4e4;
}

.confirmation a {
  border-top-left-radius: 25px;
  border-bottom-left-radius: 25px;
}

.confirmation a:hover {
  color: #e13a58;
}

.confirmation span {
  border-top-right-radius: 25px;
  border-bottom-right-radius: 25px;
}

.confirmation span:hover {
  color: #44b6ae;
}

.confirmation {
  bottom: calc(100% + 15px);
  left: 50%;
  transform: translate(-50%, 0) scale(0);
  font-size: 0.9em;
  text-align: center;
  z-index: 1;
  transition: transform 0.3s ease-in-out;
}

.confirmation:after {
  top: 100%;
  left: 0;
  right: 0;
  margin: 0 auto;
  border-top: solid 10px #535f60;
  border-left: solid 10px transparent;
  border-right: solid 10px transparent;
}

.confirmation.active {
  transform: translate(-50%, 0) scale(1);
}

table .confirmation {
  top: 50%;
  left: 35px;
  bottom: unset;
  transform: translate(0, -50%) scale(0);
}

table tr:last-of-type .confirmation {
  top: -60%;
}

table .confirmation:after {
  top: 50%;
  left: -10px;
  margin: unset;
  transform: translate(0, -50%);
  border-right: solid 10px #535f60;
  border-top: solid 10px transparent;
  border-bottom: solid 10px transparent;
  border-left: 0;
}

table tr:last-of-type .confirmation:after {
  top: 75%;
}

table .confirmation.active {
  transform: translate(0, -50%) scale(1);
}

/* =============== MARGENS =============== */

.auto-margin {
  margin: auto;
}

.no-margin {
  margin: 0;
}

/* =============== MARGIN TOP =============== */
.mt-5 {
  margin-top: 5px !important;
}

.mt-10 {
  margin-top: 10px !important;
}

.mt-15 {
  margin-top: 15px !important;
}

.mt-20 {
  margin-top: 20px !important;
}

.mt-25 {
  margin-top: 25px !important;
}

.mt-30 {
  margin-top: 30px !important;
}

.mt-35 {
  margin-top: 35px !important;
}

.mt-40 {
  margin-top: 40px !important;
}

.mt-45 {
  margin-top: 45px !important;
}

.mt-50 {
  margin-top: 50px !important;
}

.mt-100 {
  margin-top: 100px !important;
}

/* =============== MARGIN RIGHT =============== */
.mr-5 {
  margin-right: 5px !important;
}

.mr-10 {
  margin-right: 10px !important;
}

.mr-15 {
  margin-right: 15px !important;
}

.mr-20 {
  margin-right: 20px !important;
}

.mr-25 {
  margin-right: 25px !important;
}

.mr-30 {
  margin-right: 30px !important;
}

.mr-35 {
  margin-right: 35px !important;
}

.mr-40 {
  margin-right: 40px !important;
}

.mr-45 {
  margin-right: 45px !important;
}

.mr-50 {
  margin-right: 50px !important;
}

/* =============== MARGIN BOTTOM =============== */
.mb-5 {
  margin-bottom: 5px !important;
}

.mb-10 {
  margin-bottom: 10px !important;
}

.mb-15 {
  margin-bottom: 15px !important;
}

.mb-20 {
  margin-bottom: 20px !important;
}

.mb-25 {
  margin-bottom: 25px !important;
}

.mb-30 {
  margin-bottom: 30px !important;
}

.mb-35 {
  margin-bottom: 35px !important;
}

.mb-40 {
  margin-bottom: 40px !important;
}

.mb-45 {
  margin-bottom: 45px !important;
}

.mb-50 {
  margin-bottom: 50px !important;
}

/* =============== MARGIN LEFT =============== */
.ml-5 {
  margin-left: 5px !important;
}

.ml-10 {
  margin-left: 10px !important;
}

.ml-15 {
  margin-left: 15px !important;
}

.ml-20 {
  margin-left: 20px !important;
}

.ml-25 {
  margin-left: 25px !important;
}

.ml-30 {
  margin-left: 30px !important;
}

.ml-35 {
  margin-left: 35px !important;
}

.ml-40 {
  margin-left: 40px !important;
}

.ml-45 {
  margin-left: 45px !important;
}

.ml-50 {
  margin-left: 50px !important;
}

@media (max-width: 1200px) {
  .col-md-1 {
    width: 8.33%;
  }

  .col-md-2 {
    width: 16.66%;
  }

  .col-md-3 {
    width: 25%;
  }

  .col-md-4 {
    width: 33.33%;
  }

  .col-md-5 {
    width: 41.66%;
  }

  .col-md-6 {
    width: 50%;
  }

  .col-md-7 {
    width: 58.33%;
  }

  .col-md-8 {
    width: 66.66%;
  }

  .col-md-9 {
    width: 75%;
  }

  .col-md-10 {
    width: 83.33%;
  }

  .col-md-11 {
    width: 91.66%;
  }

  .col-md-12 {
    width: 100%;
  }

  .mt-md-10 {
    margin-top: 10px !important;
  }

  .mt-md-20 {
    margin-top: 20px !important;
  }

  .mt-md-30 {
    margin-top: 30px !important;
  }

  .mt-md-40 {
    margin-top: 40px !important;
  }

  .mt-md-50 {
    margin-top: 50px !important;
  }

  .mt-md-60 {
    margin-top: 60px !important;
  }

  .mt-md-70 {
    margin-top: 70px !important;
  }

  .mt-md-80 {
    margin-top: 80px !important;
  }

  .mt-md-90 {
    margin-top: 90px !important;
  }

  .mt-md-100 {
    margin-top: 100px !important;
  }

  .mb-md-10 {
    margin-bottom: 10px !important;
  }

  .mb-md-20 {
    margin-bottom: 20px !important;
  }

  .mb-md-30 {
    margin-bottom: 30px !important;
  }

  .mb-md-40 {
    margin-bottom: 40px !important;
  }

  .mb-md-50 {
    margin-bottom: 50px !important;
  }

  .mb-md-60 {
    margin-bottom: 60px !important;
  }

  .mb-md-70 {
    margin-bottom: 70px !important;
  }

  .mb-md-80 {
    margin-bottom: 80px !important;
  }

  .mb-md-90 {
    margin-bottom: 90px !important;
  }

  .mb-md-100 {
    margin-bottom: 100px !important;
  }
}

@media (max-width: 768px) {
  .col-sm-1 {
    width: 8.33%;
  }

  .col-sm-2 {
    width: 16.66%;
  }

  .col-sm-3 {
    width: 25%;
  }

  .col-sm-4 {
    width: 33.33%;
  }

  .col-sm-5 {
    width: 41.66%;
  }

  .col-sm-6 {
    width: 50%;
  }

  .col-sm-7 {
    width: 58.33%;
  }

  .col-sm-8 {
    width: 66.66%;
  }

  .col-sm-9 {
    width: 75%;
  }

  .col-sm-10 {
    width: 83.33%;
  }

  .col-sm-11 {
    width: 91.66%;
  }

  .col-sm-12 {
    width: 100%;
  }

  .mt-sm-10 {
    margin-top: 10px !important;
  }

  .mt-sm-20 {
    margin-top: 20px !important;
  }

  .mt-sm-30 {
    margin-top: 30px !important;
  }

  .mt-sm-40 {
    margin-top: 40px !important;
  }

  .mt-sm-50 {
    margin-top: 50px !important;
  }

  .mt-sm-60 {
    margin-top: 60px !important;
  }

  .mt-sm-70 {
    margin-top: 70px !important;
  }

  .mt-sm-80 {
    margin-top: 80px !important;
  }

  .mt-sm-90 {
    margin-top: 90px !important;
  }

  .mt-sm-100 {
    margin-top: 100px !important;
  }

  .mb-sm-10 {
    margin-bottom: 10px !important;
  }

  .mb-sm-20 {
    margin-bottom: 20px !important;
  }

  .mb-sm-30 {
    margin-bottom: 30px !important;
  }

  .mb-sm-40 {
    margin-bottom: 40px !important;
  }

  .mb-sm-50 {
    margin-bottom: 50px !important;
  }

  .mb-sm-60 {
    margin-bottom: 60px !important;
  }

  .mb-sm-70 {
    margin-bottom: 70px !important;
  }

  .mb-sm-80 {
    margin-bottom: 80px !important;
  }

  .mb-sm-90 {
    margin-bottom: 90px !important;
  }

  .mb-sm-100 {
    margin-bottom: 100px !important;
  }
}

@media (max-width: 480px) {
  .col-xsm-1 {
    width: 8.33%;
  }

  .col-xsm-2 {
    width: 16.66%;
  }

  .col-xsm-3 {
    width: 25%;
  }

  .col-xsm-4 {
    width: 33.33%;
  }

  .col-xsm-5 {
    width: 41.66%;
  }

  .col-xsm-6 {
    width: 50%;
  }

  .col-xsm-7 {
    width: 58.33%;
  }

  .col-xsm-8 {
    width: 66.66%;
  }

  .col-xsm-9 {
    width: 75%;
  }

  .col-xsm-10 {
    width: 83.33%;
  }

  .col-xsm-11 {
    width: 91.66%;
  }

  .col-xsm-12 {
    width: 100%;
  }

  .mt-xsm-10 {
    margin-top: 10px !important;
  }

  .mt-xsm-20 {
    margin-top: 20px !important;
  }

  .mt-xsm-30 {
    margin-top: 30px !important;
  }

  .mt-xsm-40 {
    margin-top: 40px !important;
  }

  .mt-xsm-50 {
    margin-top: 50px !important;
  }

  .mt-xsm-60 {
    margin-top: 60px !important;
  }

  .mt-xsm-70 {
    margin-top: 70px !important;
  }

  .mt-xsm-80 {
    margin-top: 80px !important;
  }

  .mt-xsm-90 {
    margin-top: 90px !important;
  }

  .mt-xsm-100 {
    margin-top: 100px !important;
  }

  .mb-xsm-10 {
    margin-bottom: 10px !important;
  }

  .mb-xsm-20 {
    margin-bottom: 20px !important;
  }

  .mb-xsm-30 {
    margin-bottom: 30px !important;
  }

  .mb-xsm-40 {
    margin-bottom: 40px !important;
  }

  .mb-xsm-50 {
    margin-bottom: 50px !important;
  }

  .mb-xsm-60 {
    margin-bottom: 60px !important;
  }

  .mb-xsm-70 {
    margin-bottom: 70px !important;
  }

  .mb-xsm-80 {
    margin-bottom: 80px !important;
  }

  .mb-xsm-90 {
    margin-bottom: 90px !important;
  }

  .mb-xsm-100 {
    margin-bottom: 100px !important;
  }

  .padding-0 {
    padding: 0px;
  }
}

@media (max-width: 375px) {
  .col-xsm-3 {
    width: 28%;
  }
}

/* =============== PREENCHIMENTOS =============== */

/* =============== PADDING TOP =============== */
.pt-5 {
  padding-top: 5px !important;
}

.pt-10 {
  padding-top: 10px !important;
}

.pt-15 {
  padding-top: 15px !important;
}

.pt-20 {
  padding-top: 20px !important;
}

.pt-25 {
  padding-top: 25px !important;
}

.pt-30 {
  padding-top: 30px !important;
}

.pt-35 {
  padding-top: 35px !important;
}

.pt-40 {
  padding-top: 40px !important;
}

.pt-45 {
  padding-top: 45px !important;
}

.pt-50 {
  padding-top: 50px !important;
}

/* =============== PADDING RIGHT =============== */
.pr-5 {
  padding-right: 5px !important;
}

.pr-10 {
  padding-right: 10px !important;
}

.pr-15 {
  padding-right: 15px !important;
}

.pr-20 {
  padding-right: 20px !important;
}

.pr-25 {
  padding-right: 25px !important;
}

.pr-30 {
  padding-right: 30px !important;
}

.pr-35 {
  padding-right: 35px !important;
}

.pr-40 {
  padding-right: 40px !important;
}

.pr-45 {
  padding-right: 45px !important;
}

.pr-50 {
  padding-right: 50px !important;
}

/* =============== PADDING BOTTOM =============== */
.pb-5 {
  padding-bottom: 5px !important;
}

.pb-10 {
  padding-bottom: 10px !important;
}

.pb-15 {
  padding-bottom: 15px !important;
}

.pb-20 {
  padding-bottom: 20px !important;
}

.pb-25 {
  padding-bottom: 25px !important;
}

.pb-30 {
  padding-bottom: 30px !important;
}

.pb-35 {
  padding-bottom: 35px !important;
}

.pb-40 {
  padding-bottom: 40px !important;
}

.pb-45 {
  padding-bottom: 45px !important;
}

.pb-50 {
  padding-bottom: 50px !important;
}

/* =============== PADDING LEFT =============== */
.pl-5 {
  padding-left: 5px !important;
}

.pl-10 {
  padding-left: 10px !important;
}

.pl-15 {
  padding-left: 15px !important;
}

.pl-20 {
  padding-left: 20px !important;
}

.pl-25 {
  padding-left: 25px !important;
}

.pl-30 {
  padding-left: 30px !important;
}

.pl-35 {
  padding-left: 35px !important;
}

.pl-40 {
  padding-left: 40px !important;
}

.pl-45 {
  padding-left: 45px !important;
}

.pl-50 {
  padding-left: 50px !important;
}

/* =============== ANIMAÇÕES =============== */

@keyframes timer {
  from {
    width: 100%;
  }

  to {
    width: 0;
  }
}

@keyframes fade-in {
  from {
    opacity: 0;
    visibility: hidden;
    transform: translate(0, -100px);
  }

  to {
    opacity: 1;
    visibility: visible;
    transform: translate(0, 0);
  }
}

@keyframes fade-out {
  from {
    opacity: 1;
    visibility: visible;
    transform: translate(0, 0);
  }

  to {
    opacity: 0;
    visibility: hidden;
    transform: translate(0, -100px);
  }
}

@keyframes blink {
  from {
    opacity: 1;
    transform: translate(-50%, -50%) scale(0.2);
  }

  to {
    opacity: 0;
    transform: translate(-50%, -50%) scale(1);
  }
}

@keyframes loading {
  from {
    transform: translate(0, -50%) rotate(0deg);
  }

  to {
    transform: translate(0, -50%) rotate(360deg);
  }
}

@keyframes rotate {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(-360deg);
  }
}

@keyframes lights {
  25% {
    stroke: #000;
  }

  50% {
    stroke: #fde406;
  }

  75% {
    stroke: #fde406;
  }

  100% {
    stroke: #000;
  }
}

.label-geral {
  position: absolute;
  top: -9px;
  left: 10px;
  padding: 0 5px;
  background: #ffffff;
  border-radius: 4px;
  font-size: 0.8em;
  font-weight: 400;
  transition: all 0.3s ease-in-out;
  z-index: 1;
}

div.radio-button,
div.check-box {
  float: left;
}

div.radio-button input[type="radio"],
div.check-box input[type="checkbox"] {
  display: none;
}

div.radio-button input[type="radio"]+label,
div.check-box input[type="checkbox"]+label {
  display: inline-block;
  position: relative;
  padding: 12px 12px 12px 42px;
  margin-right: 20px;
  font-family: "Open Sans", sans-serif;
  font-size: 0.9em;
  font-weight: 400;
  color: #535f60;
  background: #ffffff;
  border: 1px solid #d6d6d6;
  border-radius: 4px;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}

div.radio-button.margin input[type="radio"]+label,
div.check-box.margin input[type="checkbox"]+label {
  margin-top: 20px;
}

div.input div.radio-button:last-of-type input[type="radio"]+label,
div.input div.check-box:last-of-type input[type="checkbox"]+label {
  margin-right: 0;
}

div.radio-button input[type="radio"]+label.dark {
  color: #ffffff;
  background: #3e3e3e;
}

div.radio-button input[type="radio"]+label::before {
  content: "";
  width: 15px;
  height: 15px;
  position: absolute;
  top: 50%;
  left: 13px;
  transform: translate(0, -50%) scale(0);
  background: #3da5f4;
  border: 1px solid #3da5f4;
  border-radius: 50%;
  transition: transform 0.3s ease-in-out;
  z-index: 1;
}

div.radio-button input[type="radio"]:checked+label::before {
  transform: translate(0, -50%) scale(1);
}

#acheck {
  position: relative;
  z-index: 1;
}

#acheck input.apple-switch {
  position: relative !important;
  z-index: -1;
}

input.apple-switch {
  position: relative;
  appearance: none;
  outline: none;
  width: 50px;
  height: 30px;
  background-color: #ffffff;
  border: 1px solid #d9dadc;
  border-radius: 50px;
  box-shadow: inset -20px 0 0 0 #ffffff;
  transition-duration: 200ms;
}

input.apple-switch:after {
  content: "";
  position: absolute;
  top: 1px;
  left: 1px;
  width: 26px;
  height: 26px;
  background-color: transparent;
  border-radius: 50%;
  box-shadow: 2px 4px 6px rgba(0, 0, 0, 0.2);
}

input.apple-switch:checked {
  border-color: #4ed164;
  box-shadow: inset 20px 0 0 0 #4ed164;
}

input.apple-switch:checked:after {
  left: 20px;
  box-shadow: -2px 4px 3px rgba(0, 0, 0, 0.05);
}


.close-modal {
  display: none !important;
}

.input-group {
  position: relative !;
}

.input-group-addon {
  position: absolute;
  right: 15px;
  top: 50%;
  background-color: transparent !important;
  border: none !important;
  transform: translateY(-50%);
}

.botao-perfil {
  display: flex;
  align-items: center;
}

.botao-perfil h2 {
  margin: 0;
}

/* PAGINAÇÃO */
.paginacao {
  text-align: center;
}

.paginacao .container {
  display: table;
  margin: 0 auto;
  margin-top: 20px;
  background: #ffffff;
  box-shadow: 0 0 6px rgba(100, 100, 100, 0.1);
  color: #44b6ae;
}

.paginacao .container strong {
  background: #e4e4e4;
  color: #44b6ae;
}

.paginacao .container a, .paginacao .container strong {
  width: 40px;
  height: 40px;
  display: table-cell;
  vertical-align: middle;
  text-align: center;
  font-weight: 400;
  transition: all 0.3s ease-in-out;
}


thead {
  border-bottom: 1px solid #dadada;
}

/* atualizações */
.bg-cor-principal {
  background-color: #21333B;
}

.area-btn-modal {

  display: flex;
  gap: 10px;
}

/* modal escolha de data para coleta */

.btn-procura-info, .btn-procura-animal, .btn-procura-responsavel, .btn-procura-responsavel-cobranca {
  /* padding:12px; */
  padding: 12px 10px 12px 10px;
  background-color: #21333B;
  border-radius: 4px;
  cursor: pointer;
}

.icone-modal {
  color: #ffffff;
}

.dia-coleta {
  background: #28a745 !important;
  color: #ffffff !important;
  border-radius: 5px;
}

.dia-coleta:hover {
  background: #218838 !important;
}

/* personalizando o calendário */
/* com o airpicker já existente */

.datepicker {
  border: none !important;
  width: 100% !important;
}


.tamanho_calendario.iziModal {
  width: 50% !important;
}



.datepicker--cell {
  margin-bottom: 10px;
}

.datepicker--cell.-other-month- {
  opacity: 0.3;
  pointer-events: none;
}

.datepicker--cell.-other-month- {
  display: none;
}

.ui-widget-content {
  border: none !important;
  background: none !important;
  /* color: #ffffff !important; */
}

.ui-widget.ui-widget-content {
  border: none !important;

}

/* .ui-state-default{
  color: #ffffff !important;
} */

.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default, .ui-button, html .ui-button.ui-state-disabled:hover, html .ui-button.ui-state-disabled:active {
  border: none !important;
  background: none !important;
  display: flex;
  justify-content: center;
  /* color: #ffffff !important; */
}

.ui-widget-content a {
  color: #ffffff !important;
}

.iziModal .iziModal-content .close, .iziModal .iziModal-content .imprimir {
  font-size: 1.5em !important;
}

.ui-datepicker {
  width: 95% !important;
}

.ui-widget-header {
  border: none !important;
  background: none !important;

}

/* .ui-datepicker th{
  border:1px solid #000 !important;
  border-radius: 50% !important;
} */

table .ui-datepicker tbody {
  border-color: none !important;
}


.ui-state-disabled, .ui-widget-content .ui-state-disabled, .ui-widget-header .ui-state-disabled {
  border: none !important;
}

.modal_calendario table tr td {
  height: 40px !important;
}

.modal_calendario table tr:not(:last-of-type) {
  border-bottom: none !important;
}

.ui-datepicker-calendar {
  border-collapse: separate !important;
  border-spacing: 8px;
  /* espaço horizontal e vertical */
}

.ui-datepicker th {
  background-color: #21333B;
  border-radius: 5px !important;
}

.ui-datepicker-calendar thead tr th span {
  color: #ffffff !important;
}

/* .ui-state-hover,.ui-widget-content .ui-state-hover, .ui-widget-header, .ui-state-hover, .ui-state-focus, .ui-widget-content,
.ui-state-focus, .ui-widget-header, .ui-state-focus, .ui-button:hover, .ui-bottom:focus
{
} */

.ui-datepicker .ui-datepicker-prev span, .ui-datepicker .ui-datepicker-next span {
  cursor: pointer;
}

.ui-state-hover {
  background: none !important;
  border: none !important;
}

.ui-datepicker-next-hover, .ui-datepicker-prev-hover {
  top: 0 !important;
}

/* .ui-datepicker .ui-datepicker-title{
  font-family: "Open Sans", sans-serif;
} */

.imagem-animal img {
  width: 100px;
  max-height: 80px;
  border-radius: 4px;
}

.area-cards-garanhoes {
  margin: auto;
}

.card-total-animal {
  display: flex;
  gap: 30px;
  width: 80%;
  cursor: pointer;
}

.area-cards-garanhoes {
  max-height: 400px;
  overflow-y: auto;
  display: flex;
  flex-direction: column;
  gap: 15px;
  /* espaço entre os cards */
}

.area-cards-garanhoes::-webkit-scrollbar {
  width: 6px;
}

.area-cards-garanhoes::-webkit-scrollbar-thumb {
  background: #ccc;
  border-radius: 10px;
}

.tamanho_calendario.iziModal {
  width: 50% !important;
}

.tamanho_animais.iziModal {
  width: 50% !important;
}

.tamanho_responsavel.iziModal {
  width: 50% !important;
}

.tamanho_responsavel_cobranca.iziModal {
  width: 50% !important;
}

.tamanho_add_responsavel_cobranca.iziModal, .tamanho_add_responsavel.iziModal {
  width: 50% !important;
}

.tamanho_editar_retirada.iziModal, .tamanho_editar_cobranca.iziModal {
  width: 50% !important;
}

.informacoes-animal p {
  font-size: 0.875em;
}

#modal_animais .iziModal-content {
  padding: 40px !important;
}

#modal_animais .iziModal-content .close {
  position: relative !important;
  left: 4% !important;
  margin-top: -25px !important;
}

.area-busca {
  margin-bottom: 20px;
}

.area-busca .input {
  margin: 0px !important;
}


/* modal responsaveis */

#modal_responsavel .iziModal-content {
  padding: 40px !important;
}

#modal_responsavel .iziModal-content .close {
  position: relative !important;
  left: 4% !important;
  margin-top: -25px !important;
}

#modal_responsavel_cobranca .iziModal-content {
  padding: 40px !important;
  overflow: visible;
}


#modal_responsavel_cobranca .iziModal-content .close {
  position: relative !important;
  left: 4% !important;
  margin-top: -25px !important;
}

.area-cards-responsavel {
  margin: auto;
}

.card-total-responsavel, .card-total-responsavel-cobranca {
  display: flex;
  gap: 30px;
  cursor: pointer;
  justify-content: space-between;
}

.area-cards-responsavel {
  max-height: 400px;
  overflow-x: auto;
  display: flex;
  flex-direction: column;
  gap: 15px;
  margin-bottom: 20px;
}

/* .wrapper-scroll{
  display: flex;
  gap: 30px;
  cursor: pointer;
  justify-content: space-between;
} */

.btn-editar-responsavel, .btn-editar-responsavel-cobranca {
  display: flex;
  align-items: center;
}

.area-cards-responsavel::-webkit-scrollbar {
  width: 6px;
}

.area-cards-responsavel::-webkit-scrollbar-thumb {
  background: #ccc;
  border-radius: 10px;
}

/* modal responsável */

.area-form-responsavel h6 {
  margin-bottom: 20px;
  font-weight: 600;
  color: #333333;
}

.area-btn-add-responsavel.cobranca, .area-btn-add-responsavel {
  display: flex;
  margin: auto;
  justify-content: center;
}

.btn-add-responsavel {
  display: flex;
  justify-content: center;
  background-color: #21333B;
  color: #ffffff;
  border-radius: 4px;
  padding: 10px;
  box-sizing: border-box;
  transition: left 0.5s ease;
  cursor: pointer;
  width: 80%;
}

.btn-add-responsavel:hover {
  color: #21333B;
  background-color: #ffffff;
  border: 1px solid #21333B;
}

.btn-editar-responsavel p, .btn-editar-responsavel-cobranca p {
  font-size: 0.875em;
  text-decoration: underline;
  color: #3DA5F4;
  font-weight: 500;
}

.informacoes-responsavel {
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.informacoes-responsavel h6 {
  font-weight: 600;
  color: #333333;
}

.informacoes-responsavel p {
  font-weight: 400;
  color: #777777;
  font-size: 0.875em;
}

.bg-btn-add-resp {
  background-color: #0d6efd;
}

.area-form-responsavel {
  width: 90%;
  margin: auto;
}

.inputs-add-responsavel {
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.btn-cancelar-resp {
  background-color: #7d7d7d;
}

.area-btn-add-resp {
  display: flex;
  justify-content: space-between;
  margin-top: 10px;
}

.inputs-add-responsavel div.input {
  margin: auto !important;
}

.icones-acoes-modais {
  display: flex;
  align-items: center;
  gap: 10px;
}

.tamanho_visualizar h2 {
  color: #21333B !important;
  font-size: 1.5em !important;
  margin-bottom: 20px !important
}

.card-total-responsavel-cobranca {
  transition: all 0.3s ease-in-out;

}

.card-total-responsavel-cobranca:hover {
  transform: scale(1.03);

}

.card-total-responsavel {
  transition: all 0.3s ease-in-out;
}

.card-total-responsavel:hover {
  transform: scale(1.03);
}

/* .card-total-responsavel-cobranca:hover{

} */
/* rgb(13, 110, 253) azul*/
/* #7d7d7d cinza */